## Class Link

- java.lang.Object
- - Link

All Implemented Interfaces:
  java.io.Serializable

    public class Link
    extends java.lang.Object
    implements java.io.Serializable

Gère un lien entre deux classes.

Author:
  V.BOULANGER
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_linkId`
`static int` `AGGREGATION`
`static int` `CARD_NULL`
`static int` `CARD_ONE`
`static int` `CARD_UNLIMITED`
`static int` `COMPOSITION`
`static int` `INHERITANCE`
`static int` `STRONG`
`static int` `WEAK`

### Constructor Summary

Constructors
Constructor and Description
`Link(Class start, Class end)` Constructeur - Crée une instance d'une classe.
`Link(Class start, Class end, int minCardinalityStart, int maxCardinalityStart, int minCardinalityEnd, int maxCardinalityEnd, int type)` Constructeur - Crée une instance d'une classe avec des paramètres déterminés.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `getEnd()` Récupère la classe d'arrivée du lien.
`int` `getId()` Récupère le numéro du lien.
`int` `getMaxCardinalityEnd()` Récupère la cardinalité maximum de la classe d'arrivée.
`int` `getMaxCardinalityStart()` Récupère la cardinalité maximum de la classe de départ.
`int` `getMinCardinalityEnd()` Récupère la cardinalité minimum de la classe d'arrivée.
`int` `getMinCardinalityStart()` Récupère la cardinalité minimum de la classe de départ.
`Class` `getStart()` Récupère la classe de départ du lien.
`int` `getType()` Récupère le type du lien.
`void` `setEnd(Class end)` Paramètre la classe d'arrivée.
`void` `setMaxCardinalityEnd(int maxCardinalityEnd)` Paramètre la cardinalité maximum de la classe d'arrivée.
`void` `setMaxCardinalityStart(int maxCardinalityStart)` Paramètre la cardinalité maximum de la classe de départ.
`void` `setMinCardinalityEnd(int minCardinalityEnd)` Paramètre la cardinalité minimum de la classe d'arrivée.
`void` `setMinCardinalityStart(int minCardinalityStart)` Paramètre la cardinalité minimum de la classe de départ.
`void` `setStart(Class start)` Paramètre la classe de départ du lien.
`void` `setType(int type)` Paramètre le type du lien
`void` `switchDirection()` Modifie la direction du lien (permute les classes de départ et d'arrivée).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _linkId

    public static int _linkId

#### STRONG

    public static final int STRONG

See Also:
  Constant Field Values

#### WEAK

    public static final int WEAK

See Also:
  Constant Field Values

#### COMPOSITION

    public static final int COMPOSITION

See Also:
  Constant Field Values

#### AGGREGATION

    public static final int AGGREGATION

See Also:
  Constant Field Values

#### INHERITANCE

    public static final int INHERITANCE

See Also:
  Constant Field Values

#### CARD_UNLIMITED

    public static final int CARD_UNLIMITED

See Also:
  Constant Field Values

#### CARD_NULL

    public static final int CARD_NULL

See Also:
  Constant Field Values

#### CARD_ONE

    public static final int CARD_ONE

See Also:
  Constant Field Values

### Constructor Detail

#### Link

    public Link(Class start,
                Class end)

Constructeur - Crée une instance d'une classe.

Parameters:
  `start` - La classe de départ.
  `end` - La classe d'arrivée.

#### Link

    public Link(Class start,
                Class end,
                int minCardinalityStart,
                int maxCardinalityStart,
                int minCardinalityEnd,
                int maxCardinalityEnd,
                int type)

Constructeur - Crée une instance d'une classe avec des paramètres déterminés.

Parameters:
  `start` - La classe de départ.
  `end` - La classe d'arrivée.
  `minCardinalityStart` - La cardinalité minimum de la classe de départ.
  `maxCardinalityStart` - La cardinalité maximuù de la classe de départ.
  `minCardinalityEnd` - La cardinalité minimum de la classe d'arrivée.
  `maxCardinalityEnd` - La cardinalité maximum de la classe d'arrivée.
  `type` - Le type de lien.

### Method Detail

#### getId

    public int getId()

Récupère le numéro du lien.

Returns:
  Le numéro du lien.

#### getStart

    public Class getStart()

Récupère la classe de départ du lien.

Returns:
  La classe de départ du lien.

#### setStart

    public void setStart(Class start)

Paramètre la classe de départ du lien.

Parameters:
  `start` - La classe de départ du lien.

#### getEnd

    public Class getEnd()

Récupère la classe d'arrivée du lien.

Returns:
  La classe d'arrivée du lien.

#### setEnd

    public void setEnd(Class end)

Paramètre la classe d'arrivée.

Parameters:
  `end` - La classe d'arrivée.

#### getMinCardinalityStart

    public int getMinCardinalityStart()

Récupère la cardinalité minimum de la classe de départ.

Returns:
  La cardinalité minimum de la classe de départ.

#### setMinCardinalityStart

    public void setMinCardinalityStart(int minCardinalityStart)

Paramètre la cardinalité minimum de la classe de départ.

Parameters:
  `minCardinalityStart` - La cardinalité minimum de la classe de départ.

#### getMaxCardinalityStart

    public int getMaxCardinalityStart()

Récupère la cardinalité maximum de la classe de départ.

Returns:
  La cardinalité maximum de la classe de départ.

#### setMaxCardinalityStart

    public void setMaxCardinalityStart(int maxCardinalityStart)

Paramètre la cardinalité maximum de la classe de départ.

Parameters:
  `maxCardinalityStart` - La cardinalité maximum de la classe de départ.

#### getMinCardinalityEnd

    public int getMinCardinalityEnd()

Récupère la cardinalité minimum de la classe d'arrivée.

Returns:
  La cardinalité minimum de la classe d'arrivée.

#### setMinCardinalityEnd

    public void setMinCardinalityEnd(int minCardinalityEnd)

Paramètre la cardinalité minimum de la classe d'arrivée.

Parameters:
  `minCardinalityEnd` - La cardinalité minimum de la classe d'arrivée.

#### getMaxCardinalityEnd

    public int getMaxCardinalityEnd()

Récupère la cardinalité maximum de la classe d'arrivée.

Returns:
  La cardinalité maximum de la classe d'arrivée.

#### setMaxCardinalityEnd

    public void setMaxCardinalityEnd(int maxCardinalityEnd)

Paramètre la cardinalité maximum de la classe d'arrivée.

Parameters:
  `maxCardinalityEnd` - La cardinalité maximum de la classe d'arrivée.

#### getType

    public int getType()

Récupère le type du lien.

Returns:
  Le type du lien.

#### setType

    public void setType(int type)

Paramètre le type du lien

Parameters:
  `type` - Le type du lien.

#### switchDirection

    public void switchDirection()

Modifie la direction du lien (permute les classes de départ et d'arrivée).